curl --request GET \
--url https://sandbox.rcintell.com/v1/prior-auth/check \
--header 'X-API-Key: <api-key>'import requests
url = "https://sandbox.rcintell.com/v1/prior-auth/check"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://sandbox.rcintell.com/v1/prior-auth/check', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.rcintell.com/v1/prior-auth/check",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.rcintell.com/v1/prior-auth/check"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox.rcintell.com/v1/prior-auth/check")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.rcintell.com/v1/prior-auth/check")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"confidence": 123,
"determination": "<string>",
"pa_required": true,
"payer_name": "<string>",
"payer_slug": "<string>",
"resolution_tier": "<string>",
"auth_type": "<string>",
"code": "<string>",
"delegation_vendor": "<string>",
"delegation_vendor_phone": "<string>",
"delegation_vendor_portal": "<string>",
"determination_id": "<string>",
"pa_threshold": 123,
"plan_type": "<string>",
"rationale_chain": [
{
"detail": "<string>",
"matched": true,
"tier": 123,
"tier_name": "<string>"
}
],
"required_documents": [
"<string>"
],
"service_category": "<string>",
"standard_turnaround_days": 123,
"submission_info": {
"email": "<string>",
"fax": "<string>",
"mailing_address": "<string>",
"phone": "<string>",
"portal_url": "<string>"
},
"threshold_remaining": 123,
"urgent_turnaround_hours": 123,
"visit_count": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}CRD-style PA determination
CRD-style PA determination with facility-aware, 5-tier resolution + rationale chain.
curl --request GET \
--url https://sandbox.rcintell.com/v1/prior-auth/check \
--header 'X-API-Key: <api-key>'import requests
url = "https://sandbox.rcintell.com/v1/prior-auth/check"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://sandbox.rcintell.com/v1/prior-auth/check', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.rcintell.com/v1/prior-auth/check",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.rcintell.com/v1/prior-auth/check"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox.rcintell.com/v1/prior-auth/check")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.rcintell.com/v1/prior-auth/check")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"confidence": 123,
"determination": "<string>",
"pa_required": true,
"payer_name": "<string>",
"payer_slug": "<string>",
"resolution_tier": "<string>",
"auth_type": "<string>",
"code": "<string>",
"delegation_vendor": "<string>",
"delegation_vendor_phone": "<string>",
"delegation_vendor_portal": "<string>",
"determination_id": "<string>",
"pa_threshold": 123,
"plan_type": "<string>",
"rationale_chain": [
{
"detail": "<string>",
"matched": true,
"tier": 123,
"tier_name": "<string>"
}
],
"required_documents": [
"<string>"
],
"service_category": "<string>",
"standard_turnaround_days": 123,
"submission_info": {
"email": "<string>",
"fax": "<string>",
"mailing_address": "<string>",
"phone": "<string>",
"portal_url": "<string>"
},
"threshold_remaining": 123,
"urgent_turnaround_hours": 123,
"visit_count": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Authorizations
Query Parameters
Payer slug or alias
CPT/HCPCS code
Service category
Plan type filter
State abbreviation
Place of service code
Current visit count
Facility CCN. When supplied, the engine auto-fills state/place-of-service from the facility profile and applies any facility-specific overrides (Tier 0) ahead of the shared payer rules.
Response
Successful Response
CRD-style PA determination with rationale chain.
Persisted determination ID for audit trail
Threshold at which PA becomes required (if applicable)
Plan type used for resolution (commercial, medicaid, etc.)
Show child attributes
Show child attributes
Contact and portal information for PA submission.
Show child attributes
Show child attributes
Remaining visits before PA threshold is reached
Visit count supplied in the request